当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 如何在64位机编译gcc旧版本?
帖子发表于 : 2007-05-14 20:32 

注册: 2007-05-14 8:57
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
看来看去,还是发在这个版比较合适。初次使用,请大家帮忙!
安装的是Ubuntu 6.06 For AMD64,现在希望在这个平台下面编译一个2.4的内核看看.于是下载了gcc 2.95和2.4.32的kernel。但是在编译gcc的时候就出现了问题,./configure的时候出现:

../gcc-2.95.3/configure: line 592: [: /home/yao/src/linux/For: binary operator expected
Invalid configuration `x86_64-pc-linux-gnuoldld': machine `x86_64-pc' not recognized
Invalid configuration `x86_64-pc-linux-gnuoldld': machine `x86_64-pc' not recognized
Unrecognized host system name x86_64-pc-linux-gnuoldld.

$gcc -v 为:
使用内建 specs。
目标:x86_64-linux-gnu
配置为:../src/configure -v --enable-languages=c,c++,java,f95,objc,ada,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.0 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-java-awt=gtk-default --enable-gtk-cairo --with-java-home=/usr/lib/jvm/java-1.4.2-gcj-4.0-1.4.2.0/jre --enable-mpfr --disable-werror --enable-checking=release x86_64-linux-gnu
线程模型:posix
gcc 版本 4.0.3 (Ubuntu 4.0.3-1ubuntu5)

$ uname -r
2.6.15-28-amd64-generic

$ cat /etc/issue
Ubuntu 6.06.1 LTS \n \l

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=6.06
DISTRIB_CODENAME=dapper
DISTRIB_DESCRIPTION="Ubuntu 6.06.1 LTS"

这种情况的话,应该怎么做?多谢大家指点了!!!


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-05-14 22:14 
头像

注册: 2007-02-18 0:42
帖子: 1352
送出感谢: 0 次
接收感谢: 10
= =。。。。。。。。。。。。 真的要编译的话,还是找一个老版本linux好。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-05-15 8:44 

注册: 2007-05-14 8:57
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
不会吧,因为我现在硬盘空间已经差不多满了,不想再安装一个老系统了。
难道没有解决的方法吗?大家出出主意?
或者把以前大家编译的经验说说看?谢谢了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译